Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueryDetailsResponse

    java.lang.Object
      org.labkey.remoteapi.CommandResponse
          org.labkey.remoteapi.query.GetQueryDetailsResponse

    public class GetQueryDetailsResponse

extends CommandResponse

Represents the response from a GetQueriesCommand.

Nested Class Summary
`static class` | `GetQueryDetailsResponse.Column`
`static class` | `GetQueryDetailsResponse.Lookup`

Constructor Summary
`GetQueryDetailsResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetQueryDetailsCommand sourceCommand)`

Method Summary
`java.util.List<GetQueryDetailsResponse.Column>` | `getColumns()` Returns the columns available in the given query name.
`java.lang.String` | `getName()` Returns the query name that is described by this response
`java.lang.String` | `getSchemaName()` Returns the schema name the query in this response belongs to.

Methods inherited from class org.labkey.remoteapi.CommandResponse
`findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueryDetailsResponse

    public GetQueryDetailsResponse(java.lang.String text,
                                   int statusCode,
                                   java.lang.String contentType,
                                   org.json.simple.JSONObject json,
                                   GetQueryDetailsCommand sourceCommand)

Method Detail

### getSchemaName

    public java.lang.String getSchemaName()

  Returns the schema name the query in this response belongs to.

  Returns:
    The schema name.

### getName

    public java.lang.String getName()

  Returns the query name that is described by this response

  Returns:
    The query name.

### getColumns

    public java.util.List<GetQueryDetailsResponse.Column> getColumns()

  Returns the columns available in the given query name.

  Returns:
    The list of columns available within that query.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD